<?php
/**
 * All settings related to footer recommended post.
 *
 * @package NextZenMag
 */
$wp_customize->add_section(
	'dual_insights',
	array(
		'title' => esc_html__( 'Dual Insights Section', 'nextzenmag' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'nextzenmag_options[enable_dual_insights]',
    array(
        'default'           => $nextzenmag_default['enable_dual_insights'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_dual_insights]',
    array(
        'label'       => esc_html__( 'Enable Dual Insights', 'nextzenmag' ),
        'section'     => 'dual_insights',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
  'nextzenmag_options[dual_insights_title]',
  array(
      'default' => $nextzenmag_default['dual_insights_title'],
      'sanitize_callback' => 'sanitize_text_field',
  )
);
$wp_customize->add_control(
  'nextzenmag_options[dual_insights_title]',
  array(
      'label' => __('Section Title', 'nextzenmag'),
      'section' => 'dual_insights',
      'type' => 'text',
  )
);

$wp_customize->add_setting(
    'nextzenmag_section_seperator_dual_insights_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Nextzenmag_Seperator_Control(
        $wp_customize,
        'nextzenmag_section_seperator_dual_insights_1',
        array(
            'label'         => esc_html__( 'Dual Insights Column - 1', 'nextzenmag' ),
            'settings' => 'nextzenmag_section_seperator_dual_insights_1',
            'section' => 'dual_insights',
        )
    )
);

$wp_customize->add_setting(
    'nextzenmag_options[main_insights_category]',
    array(
        'default'           => $nextzenmag_default['main_insights_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Nextzenmag_Dropdown_Taxonomies_Control(
        $wp_customize,
        'nextzenmag_options[main_insights_category]',
        array(
            'label'           => __( 'Choose Column - 1 Category', 'nextzenmag' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'nextzenmag' ),
            'section'         => 'dual_insights',
        )
    )
);

$wp_customize->add_setting(
    'nextzenmag_section_seperator_dual_insights_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Nextzenmag_Seperator_Control(
        $wp_customize,
        'nextzenmag_section_seperator_dual_insights_2',
        array(
            'label'         => esc_html__( 'Dual Insights Column - 2', 'nextzenmag' ),
            'settings' => 'nextzenmag_section_seperator_dual_insights_2',
            'section' => 'dual_insights',
        )
    )
);

$wp_customize->add_setting(
  'nextzenmag_options[dual_inner_column_title]',
  array(
      'default' => $nextzenmag_default['dual_inner_column_title'],
      'sanitize_callback' => 'sanitize_text_field',
  )
);
$wp_customize->add_control(
  'nextzenmag_options[dual_inner_column_title]',
  array(
      'label' => __('Inner Column Title', 'nextzenmag'),
      'section' => 'dual_insights',
      'type' => 'text',
  )
);

$wp_customize->add_setting(
    'nextzenmag_options[trending_insights_category]',
    array(
        'default'           => $nextzenmag_default['trending_insights_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Nextzenmag_Dropdown_Taxonomies_Control(
        $wp_customize,
        'nextzenmag_options[trending_insights_category]',
        array(
            'label'           => __( 'Choose Column - 2 Category', 'nextzenmag' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'nextzenmag' ),
            'section'         => 'dual_insights',
        )
    )
);

$wp_customize->add_setting(
    'nextzenmag_options[enable_insights_author_meta]',
    array(
        'default' => $nextzenmag_default['enable_insights_author_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_insights_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'nextzenmag'),
        'section' => 'dual_insights',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_insights_author_meta]',
    array(
        'default' => $nextzenmag_default['select_insights_author_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_insights_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'nextzenmag'),
        'section' => 'dual_insights',
        'type' => 'select',
        'choices' => nextzenmag_author_meta(),
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[insights_author_meta_title]',
    array(
        'default' => $nextzenmag_default['insights_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[insights_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'nextzenmag'),
        'section' => 'dual_insights',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[enable_insights_date_meta]',
    array(
        'default' => $nextzenmag_default['enable_insights_date_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_insights_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'nextzenmag'),
        'section' => 'dual_insights',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_insights_date]',
    array(
        'default' => $nextzenmag_default['select_insights_date'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_insights_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'nextzenmag'),
        'section' => 'dual_insights',
        'type' => 'select',
        'choices' => nextzenmag_date_meta(),
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_insights_date_meta_title]',
    array(
        'default' => $nextzenmag_default['select_insights_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_insights_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'nextzenmag'),
        'section' => 'dual_insights',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_insights_date_format]',
    array(
        'default' => $nextzenmag_default['select_insights_date_format'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_insights_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'nextzenmag'),
        'section' => 'dual_insights',
        'type' => 'select',
        'choices' => nextzenmag_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[enable_insights_category_meta]',
    array(
        'default' => $nextzenmag_default['enable_insights_category_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_insights_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'nextzenmag'),
        'section' => 'dual_insights',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_insights_number_of_category]',
    array(
        'default' => $nextzenmag_default['select_insights_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_insights_number_of_category]',
    array(
        'label' => __('Number of Category', 'nextzenmag'),
        'section' => 'dual_insights',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[insights_category_label]',
    array(
        'default' => $nextzenmag_default['insights_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[insights_category_label]',
    array(
        'label' => __('Category Label', 'nextzenmag'),
        'section' => 'dual_insights',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'nextzenmag_options[select_insights_category_color]',
    array(
        'default' => $nextzenmag_default['select_insights_category_color'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_insights_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'nextzenmag'),
        'section' => 'dual_insights',
        'type' => 'select',
        'choices' => nextzenmag_category_color(),
    )
);